### Method

# GObject Value take_object

since: 2.4

#### Declaration [src]

    void
    g_value_take_object (
      GValue* value,
      gpointer v_object
    )

#### Description [src]

Sets the contents of a `G_TYPE_OBJECT` derived `GValue` to `v_object` and takes over the ownership of the caller’s reference to `v_object`; the caller doesn’t have to unref it any more (i.e. the reference count of the object is not increased).

If you want the `GValue` to hold its own reference to `v_object`, use `g_value_set_object()` instead.

Available since: 2.4

This method is not directly available to language bindings.

#### Parameters

`v_object`

  Type: `gpointer`

  Object value to be set.

  The argument can be `NULL`.
  The data is owned by the caller of the method.